UPGRADEPKG(8)

NAMA
upgradepkg - mengupgrade paket Slackware.

SINOPSIS
upgradepkg [ --dry-run ] [ --install-new ] [ --reinstall ] [ --verbose ] namapaketbaru [namapaketbaru2]

upgradepkg [ --dry-run ] [ --install-new ] [ --reinstall ] [ --verbose ] namapaketlama%namapaketbaru [old2%new2]

DESKRIPSI
upgradepkg mengupgrade paket Slackware dari versi lama ke versi baru. Ia melakukannya dengan MENGINSTALL paket baru pada sistem, lalu MENGHAPUS semua file dari paket lama yang tidak ada pada paket baru. Jika paket lama dan baru memiliki nama yang sama, cukup satu argumen saja. Jika paket memiliki nama yang berbeda, berikan nama paket lama diikuti dengan simbol persen (%), lalu nama paket baru. Jangan tambahkan spasi diantara pasangan lama/baru. Jika upgradepkg menemukan lebih dari satu paket yang terinstall yang cocok dengan nama paket lama, maka akan dihapus semuanya.

Untuk menghapus pada direktori selain / (seperti /mnt):

ROOT=/mnt upgradepkg paket.tgz (atau .tbz, .tlz, .txz)

OPSI

--dry-run
    Menghasilkan laporan tentang paket yang akan diinstall atau diupgrade tetapi tidak melakukan upgrade yang sesungguhnya.

--install-new
    Normalnya upgradepkg hanya mengupgrade paket yang sudah terinstall pada sistem, dan melewatkan paket yang belum terinstall. Jika --install-new ditentukan, perilaku ini dimodifikasi untuk menginstall paket baru selain hanya mengupgrade yang sudah ada.

--reinstall
    Upgradepkg biasanya melewatkan paket jika paket yang sama (nama, versi, arsitektur, dan nomor build) sudah terinstall pada sistem. Gunakan opsi --reinstall jika Anda hendak mengupgrade semua paket meskipun versi yang sama sudah terinstall.

--verbose
    Menampilkan semua detail dari upgrade.

KESALAHAN
Sebelum mengupgrade paket, simpan semua file konfigurasi (seperti pada /etc) yang hendak Anda simpan. Seringkali file ini akan dipertahankan, tetapi tergantung dari struktur paket. Jika Anda hendak memaksa versi baru dari file konfigurasi untuk diinstall, hapus yang lama secara manual sebelum menjalankan upgradepkg.

PEMBUAT
Patrick J. Volkerding <volkerdi@slackware.com>

LIHAT JUGA
makepkg(8), installpkg(8), removepkg(8), explodepkg(8), pkgtool(8)